unit ATX32Lib_TLB;

{ This file contains pascal declarations imported from a type library.
  This file will be written during each import or refresh of the type
  library editor.  Changes to this file will be discarded during the
  refresh process. }

{ ATX32 OLE Control module }
{ Version 1.0 }

interface

uses Windows, ActiveX, Classes, Graphics, OleCtrls, StdVCL;

const
  LIBID_ATX32Lib: TGUID = '{36AB2340-0A3A-11CF-BCEB-02608C0F6057}';

const

{ enumObjectRefresh }

  SHImmediately = 0;
  SHDelayed = 1;

{ enumSHStyles }

  SHAuto = 0;
  SHInvisible = 1;
  SHVisible = 2;

{ enumBackStyle }

  Transparent = 0;
  Opaque = 1;

{ enumDropFileMode }

  NoDrop = 0;
  DropEvent = 1;

{ enumFontFamily }

  DontCare = 0;
  Roman = 1;
  Swiss = 2;
  Modern = 3;
  Script = 4;
  Decor = 5;

{ enumAlignment }

  Lft = 0;
  Rght = 1;
  Centered = 2;
  Justified = 3;

{ enumMousePointer }

  MP0 = 0;
  MP1 = 1;
  MP2 = 2;
  MP3 = 3;
  MP4 = 4;
  MP5 = 5;
  MP6 = 6;
  MP7 = 7;
  MP8 = 8;
  MP9 = 9;
  MP10 = 10;
  MP11 = 11;
  MP12 = 12;
  MP13 = 13;
  MP14 = 14;

{ enumMousePointerLTD }

  LMP0 = 0;
  LMP1 = 1;
  LMP2 = 2;
  LMP3 = 3;
  LMP4 = 4;
  LMP5 = 5;
  LMP6 = 6;
  LMP7 = 7;
  LMP8 = 8;
  LMP9 = 9;
  LMP10 = 10;
  LMP11 = 11;

{ enumDataType }

  DT0 = 0;
  DT1 = 1;
  DT2 = 2;
  DT3 = 3;
  DT4 = 4;

const

{ Component class GUIDs }
  Class_ATX32: TGUID = '{36AB2343-0A3A-11CF-BCEB-02608C0F6057}';

type

{ Forward declarations: Interfaces }
  _DATX32 = dispinterface;
  _DATX32Events = dispinterface;

{ Forward declarations: CoClasses }
  ATX32 = _DATX32;

{ Forward declarations: Enums }
  enumObjectRefresh = TOleEnum;
  enumSHStyles = TOleEnum;
  enumBackStyle = TOleEnum;
  enumDropFileMode = TOleEnum;
  enumFontFamily = TOleEnum;
  enumAlignment = TOleEnum;
  enumMousePointer = TOleEnum;
  enumMousePointerLTD = TOleEnum;
  enumDataType = TOleEnum;

{ Dispatch interface for ATX32 Control }

  _DATX32 = dispinterface
    ['{36AB2341-0A3A-11CF-BCEB-02608C0F6057}']
    property BackColor: TColor dispid -501;
    property BackPictureRefresh: WordBool dispid 6;
    property BackPictureX: Integer dispid 7;
    property BackPictureY: Integer dispid 8;
    property BackStyle: enumBackStyle dispid 9;
    property Border: Integer dispid 10;
    property BottomIndent: Integer dispid 11;
    property CaretWidth: Smallint dispid 12;
    property ChangeEventMask: Integer dispid 13;
    property CurChar: Smallint dispid 14;
    property CurPar: Integer dispid 15;
    property DPAdd: Integer dispid 16;
    property DPBottomIndent: Integer dispid 17;
    property DPFirstLineIndent: Smallint dispid 18;
    property DPLeftIndent: Integer dispid 19;
    property DPLineSpacing: Smallint dispid 20;
    property DPRightIndent: Integer dispid 21;
    property DPtoParF: Integer dispid 22;
    property DPtoParP: Integer dispid 23;
    property DataType: enumDataType dispid 24;
    property DirectScreenOut: WordBool dispid 25;
    property DocWidth: Integer dispid 26;
    property DropFileMode: Smallint dispid 27;
    property Enabled: WordBool dispid -514;
    property ExtDataType: Smallint dispid 28;
    property ExtObjParam: WideString dispid 29;
    property ExtObjPicture: IPictureDisp dispid 30;
    property ExtObjValue: WideString dispid 31;
    property F2ON: WordBool dispid 32;
    property FText: WideString dispid 33;
    property FileLoad: Smallint dispid 34;
    property FileName: WideString dispid 35;
    property FileSave: Smallint dispid 36;
    property FirstLineIndent: Smallint dispid 37;
    property FontBold: Smallint dispid 38;
    property FontCharSet: Smallint dispid 39;
    property FontColor: TColor dispid 40;
    property FontFamily: enumFontFamily dispid 41;
    property FontHidden: Smallint dispid 42;
    property FontIndex: Smallint dispid 43;
    property FontItalic: Smallint dispid 44;
    property FontName: WideString dispid 45;
    property FontShadow: Smallint dispid 46;
    property FontSize: Smallint dispid 47;
    property FontStrike: Smallint dispid 48;
    property FontSubSup: Smallint dispid 49;
    property FontTableSize: Smallint dispid 50;
    property FontUnder: Smallint dispid 51;
    property FontWidth: Smallint dispid 52;
    property FormatPaste: WordBool dispid 53;
    property HTag: Integer dispid 54;
    property HTagL: Integer dispid 55;
    property InternalBound: WideString dispid 56;
    property LeftIndent: Integer dispid 57;
    property LineNumber: Integer dispid 58;
    property LineSpacing: Smallint dispid 59;
    property MouseHPointer: enumMousePointer dispid 60;
    property NTag: Integer dispid 61;
    property NTagL: Integer dispid 62;
    property OleCode: Smallint dispid 63;
    property OleObject: WideString dispid 64;
    property OleVerb: Smallint dispid 1;
    property Overtype: WordBool dispid 65;
    property PTag: Integer dispid 66;
    property PageHeight: Integer dispid 67;
    property PageLineNumber: Integer dispid 68;
    property PageNumber: Smallint dispid 69;
    property ParToDP: Integer dispid 70;
    property ParToDPF: Integer dispid 71;
    property ParToDPP: Integer dispid 72;
    property BackPicture: IPictureDisp dispid 73;
    property PrinterDC: WordBool dispid 74;
    property RightIndent: Integer dispid 75;
    property ScrollBarH: enumSHStyles dispid 76;
    property ScrollBarV: enumSHStyles dispid 77;
    property ScrollHorz: Integer dispid 78;
    property ScrollVert: Integer dispid 79;
    property SelFText: WideString dispid 80;
    property SelFType: Smallint dispid 2;
    property SelLength: Integer dispid 81;
    property SelStart: Integer dispid 82;
    property SelText: WideString dispid 83;
    property SelToChar: Smallint dispid 84;
    property SelToPar: Integer dispid 85;
    property Select: Smallint dispid 86;
    property ShowHidden: WordBool dispid 4;
    property TabAdd: Integer dispid 87;
    property TabCount: Smallint dispid 88;
    property TabDel: Integer dispid 89;
    property TabEnabled: WordBool dispid 90;
    property TabStep: Smallint dispid 91;
    property Text: WideString dispid -517;
    property TextFormatted: Integer dispid 92;
    property TopIndent: Integer dispid 93;
    property UnDoAction: Smallint dispid 94;
    property WriteProtect: Smallint dispid 95;
    property dpAlignment: enumAlignment dispid 96;
    property dpBorder: Integer dispid 97;
    property dpTabAdd: Integer dispid 98;
    property dpTabCount: Smallint dispid 99;
    property dpTabDel: Integer dispid 100;
    property dpTabStep: Smallint dispid 101;
    property dpText: WideString dispid 102;
    property dpTopIndent: Integer dispid 103;
    property F3ON: WordBool dispid 3;
    property MousePointer: enumMousePointerLTD dispid 5;
    property Alignment: Smallint dispid 104;
    property Palette: IPictureDisp dispid 105;
    property ObjectRefreshMethod: Smallint dispid 106;
    property DataChanged: WordBool dispid 107;
    property BorderStyle: Smallint dispid -504;
    property LimitFontColors: Smallint dispid 108;
    property TagReadSelect: Smallint dispid 109;
    property ClipboardAction: Smallint dispid 110;
    property BufferedKbd: WordBool dispid 111;
    property hWnd: OLE_HANDLE dispid -515;
    property AtxCtlIt: WordBool dispid 112;
    property Table3It: WordBool dispid 113;
    property ReleaseIt: WordBool dispid 114;
    property TableStatus: Smallint dispid 115;
    property ExtendIt: WordBool dispid 116;
    function About: WideString; dispid 117;
    function ClearAll: Smallint; dispid 118;
    function DocHeight: Integer; dispid 119;
    property FooterFText[whatFooter: Smallint]: WideString dispid 127;
    property HeaderFText[whatHeader: Smallint]: WideString dispid 128;
    function IsHidden: WordBool; dispid 120;
    function NewHTag: Integer; dispid 121;
    function NewNTag: Integer; dispid 122;
    property TabAlignment[index: Smallint]: Smallint dispid 129;
    property TabLocations[index: Smallint]: Integer dispid 130;
    function TextLength: Integer; dispid 123;
    procedure delPar(parnum: Integer); dispid 124;
    property dpTabAlignment[index: Smallint]: Smallint dispid 131;
    property dpTabLocations[index: Smallint]: Integer dispid 132;
    function numParagraphs: Integer; dispid 125;
    function AtxStruct: Integer; dispid 126;
    procedure AboutBox; dispid -552;
  end;

{ Event interface for ATX32 Control }

  _DATX32Events = dispinterface
    ['{36AB2342-0A3A-11CF-BCEB-02608C0F6057}']
    procedure ATXChange(var ChangedMask, Param1, Param2: Integer); dispid 1;
    procedure ATXError(var ATXErrorCode: Smallint; var ATXErrorMessage: WideString); dispid 2;
    procedure ATXGet(var Flag: Smallint; var UserSTR: WideString); dispid 3;
    procedure ATXPut(var Flag: Smallint; var UserSTR: WideString); dispid 4;
    procedure ATXVScrollClick(var ScrollVert: Integer); dispid 5;
    procedure Click; dispid -600;
    procedure DblClick; dispid -601;
    procedure DropFile(var X, Y: Integer; var FName: WideString; var FIndex: Smallint); dispid 6;
    procedure DropFileStart(var X, Y: Integer; var FNumber: Smallint); dispid 7;
    procedure ExternOleAction(var OleAction: Smallint; var OleServer: WideString; var OleCTL, OleNumber: Integer; var IntParam: Smallint; var LongParam: Integer; var StrParam: WideString); dispid 8;
    procedure KeyDown(var KeyCode: Smallint; Shift: Smallint); dispid -602;
    procedure KeyPress(var KeyAscii: Smallint); dispid -603;
    procedure KeyUp(var KeyCode: Smallint; Shift: Smallint); dispid -604;
    procedure MouseDown(Button, Shift: Smallint; X: OLE_XPOS_PIXELS; Y: OLE_YPOS_PIXELS); dispid -605;
    procedure MouseMove(Button, Shift: Smallint; X: OLE_XPOS_PIXELS; Y: OLE_YPOS_PIXELS); dispid -606;
    procedure MouseUp(Button, Shift: Smallint; X: OLE_XPOS_PIXELS; Y: OLE_YPOS_PIXELS); dispid -607;
    procedure PrintEndPage(var PageNumber, SkipEndPageFlag: Smallint); dispid 9;
    procedure PrintStartPage(var PageNumber: Smallint; var TopIndent, LeftIndent: Integer); dispid 10;
    procedure PrintThisPage(var PageNumber: Smallint; var DialogString: WideString; var SkipPageFlag: Smallint); dispid 11;
    procedure ATXHScrollClick(var ScrollHorz: Integer); dispid 12;
    procedure TagProtectionFault(Operation: Smallint; HTag, NTag: Integer; var Allow: WordBool); dispid 13;
  end;

{ ATX32 Control }

  TATX32ATXChange = procedure(Sender: TObject; var ChangedMask, Param1, Param2: Integer) of object;
  TATX32ATXError = procedure(Sender: TObject; var ATXErrorCode: Smallint; var ATXErrorMessage: WideString) of object;
  TATX32ATXGet = procedure(Sender: TObject; var Flag: Smallint; var UserSTR: WideString) of object;
  TATX32ATXPut = procedure(Sender: TObject; var Flag: Smallint; var UserSTR: WideString) of object;
  TATX32ATXVScrollClick = procedure(Sender: TObject; var ScrollVert: Integer) of object;
  TATX32DropFile = procedure(Sender: TObject; var X, Y: Integer; var FName: WideString; var FIndex: Smallint) of object;
  TATX32DropFileStart = procedure(Sender: TObject; var X, Y: Integer; var FNumber: Smallint) of object;
  TATX32ExternOleAction = procedure(Sender: TObject; var OleAction: Smallint; var OleServer: WideString; var OleCTL, OleNumber: Integer; var IntParam: Smallint; var LongParam: Integer; var StrParam: WideString) of object;
  TATX32PrintEndPage = procedure(Sender: TObject; var PageNumber, SkipEndPageFlag: Smallint) of object;
  TATX32PrintStartPage = procedure(Sender: TObject; var PageNumber: Smallint; var TopIndent, LeftIndent: Integer) of object;
  TATX32PrintThisPage = procedure(Sender: TObject; var PageNumber: Smallint; var DialogString: WideString; var SkipPageFlag: Smallint) of object;
  TATX32ATXHScrollClick = procedure(Sender: TObject; var ScrollHorz: Integer) of object;
  TATX32TagProtectionFault = procedure(Sender: TObject; Operation: Smallint; HTag, NTag: Integer; var Allow: WordBool) of object;

  TATX32 = class(TOleControl)
  private
    FOnATXChange: TATX32ATXChange;
    FOnATXError: TATX32ATXError;
    FOnATXGet: TATX32ATXGet;
    FOnATXPut: TATX32ATXPut;
    FOnATXVScrollClick: TATX32ATXVScrollClick;
    FOnDropFile: TATX32DropFile;
    FOnDropFileStart: TATX32DropFileStart;
    FOnExternOleAction: TATX32ExternOleAction;
    FOnPrintEndPage: TATX32PrintEndPage;
    FOnPrintStartPage: TATX32PrintStartPage;
    FOnPrintThisPage: TATX32PrintThisPage;
    FOnATXHScrollClick: TATX32ATXHScrollClick;
    FOnTagProtectionFault: TATX32TagProtectionFault;
    FIntf: _DATX32;
    function Get_hWnd: OLE_HANDLE;
    procedure Set_hWnd(var Value: OLE_HANDLE);
    function Get_FooterFText(whatFooter: Smallint): WideString;
    procedure Set_FooterFText(whatFooter: Smallint; const Value: WideString);
    function Get_HeaderFText(whatHeader: Smallint): WideString;
    procedure Set_HeaderFText(whatHeader: Smallint; const Value: WideString);
    function Get_TabAlignment(index: Smallint): Smallint;
    procedure Set_TabAlignment(index: Smallint; Value: Smallint);
    function Get_TabLocations(index: Smallint): Integer;
    procedure Set_TabLocations(index: Smallint; Value: Integer);
    function Get_dpTabAlignment(index: Smallint): Smallint;
    procedure Set_dpTabAlignment(index: Smallint; Value: Smallint);
    function Get_dpTabLocations(index: Smallint): Integer;
    procedure Set_dpTabLocations(index: Smallint; Value: Integer);
  protected
    procedure InitControlData; override;
    procedure InitControlInterface(const Obj: IUnknown); override;
  public
    function About: WideString;
    function ClearAll: Smallint;
    function DocHeight: Integer;
    function IsHidden: WordBool;
    function NewHTag: Integer;
    function NewNTag: Integer;
    function TextLength: Integer;
    procedure delPar(parnum: Integer);
    function numParagraphs: Integer;
    function AtxStruct: Integer;
    procedure AboutBox;
    property ControlInterface: _DATX32 read FIntf;
    property ExtObjPicture: TPicture index 30 read GetTPictureProp write SetTPictureProp;
    property FooterFText[whatFooter: Smallint]: WideString read Get_FooterFText write Set_FooterFText;
    property HeaderFText[whatHeader: Smallint]: WideString read Get_HeaderFText write Set_HeaderFText;
    property TabAlignment[index: Smallint]: Smallint read Get_TabAlignment write Set_TabAlignment;
    property TabLocations[index: Smallint]: Integer read Get_TabLocations write Set_TabLocations;
    property dpTabAlignment[index: Smallint]: Smallint read Get_dpTabAlignment write Set_dpTabAlignment;
    property dpTabLocations[index: Smallint]: Integer read Get_dpTabLocations write Set_dpTabLocations;
  published
    property ParentColor;
    property TabStop;
    property Align;
    property DragCursor;
    property DragMode;
    property ParentShowHint;
    property PopupMenu;
    property ShowHint;
    property TabOrder;
    property Visible;
    property OnDragDrop;
    property OnDragOver;
    property OnEndDrag;
    property OnEnter;
    property OnExit;
    property OnStartDrag;
    property OnMouseUp;
    property OnMouseMove;
    property OnMouseDown;
    property OnKeyUp;
    property OnKeyPress;
    property OnKeyDown;
    property OnDblClick;
    property OnClick;
    property BackColor: TColor index -501 read GetTColorProp write SetTColorProp stored False;
    property BackPictureRefresh: WordBool index 6 read GetWordBoolProp write SetWordBoolProp stored False;
    property BackPictureX: Integer index 7 read GetIntegerProp write SetIntegerProp stored False;
    property BackPictureY: Integer index 8 read GetIntegerProp write SetIntegerProp stored False;
    property BackStyle: enumBackStyle index 9 read GetTOleEnumProp write SetTOleEnumProp stored False;
    property Border: Integer index 10 read GetIntegerProp write SetIntegerProp stored False;
    property BottomIndent: Integer index 11 read GetIntegerProp write SetIntegerProp stored False;
    property CaretWidth: Smallint index 12 read GetSmallintProp write SetSmallintProp stored False;
    property ChangeEventMask: Integer index 13 read GetIntegerProp write SetIntegerProp stored False;
    property CurChar: Smallint index 14 read GetSmallintProp write SetSmallintProp stored False;
    property CurPar: Integer index 15 read GetIntegerProp write SetIntegerProp stored False;
    property DPAdd: Integer index 16 read GetIntegerProp write SetIntegerProp stored False;
    property DPBottomIndent: Integer index 17 read GetIntegerProp write SetIntegerProp stored False;
    property DPFirstLineIndent: Smallint index 18 read GetSmallintProp write SetSmallintProp stored False;
    property DPLeftIndent: Integer index 19 read GetIntegerProp write SetIntegerProp stored False;
    property DPLineSpacing: Smallint index 20 read GetSmallintProp write SetSmallintProp stored False;
    property DPRightIndent: Integer index 21 read GetIntegerProp write SetIntegerProp stored False;
    property DPtoParF: Integer index 22 read GetIntegerProp write SetIntegerProp stored False;
    property DPtoParP: Integer index 23 read GetIntegerProp write SetIntegerProp stored False;
    property DataType: enumDataType index 24 read GetTOleEnumProp write SetTOleEnumProp stored False;
    property DirectScreenOut: WordBool index 25 read GetWordBoolProp write SetWordBoolProp stored False;
    property DocWidth: Integer index 26 read GetIntegerProp write SetIntegerProp stored False;
    property DropFileMode: Smallint index 27 read GetSmallintProp write SetSmallintProp stored False;
    property Enabled: WordBool index -514 read GetWordBoolProp write SetWordBoolProp stored False;
    property ExtDataType: Smallint index 28 read GetSmallintProp write SetSmallintProp stored False;
    property ExtObjParam: WideString index 29 read GetWideStringProp write SetWideStringProp stored False;
    property ExtObjValue: WideString index 31 read GetWideStringProp write SetWideStringProp stored False;
    property F2ON: WordBool index 32 read GetWordBoolProp write SetWordBoolProp stored False;
    property FText: WideString index 33 read GetWideStringProp write SetWideStringProp stored False;
    property FileLoad: Smallint index 34 read GetSmallintProp write SetSmallintProp stored False;
    property FileName: WideString index 35 read GetWideStringProp write SetWideStringProp stored False;
    property FileSave: Smallint index 36 read GetSmallintProp write SetSmallintProp stored False;
    property FirstLineIndent: Smallint index 37 read GetSmallintProp write SetSmallintProp stored False;
    property FontBold: Smallint index 38 read GetSmallintProp write SetSmallintProp stored False;
    property FontCharSet: Smallint index 39 read GetSmallintProp write SetSmallintProp stored False;
    property FontColor: TColor index 40 read GetTColorProp write SetTColorProp stored False;
    property FontFamily: enumFontFamily index 41 read GetTOleEnumProp write SetTOleEnumProp stored False;
    property FontHidden: Smallint index 42 read GetSmallintProp write SetSmallintProp stored False;
    property FontIndex: Smallint index 43 read GetSmallintProp write SetSmallintProp stored False;
    property FontItalic: Smallint index 44 read GetSmallintProp write SetSmallintProp stored False;
    property FontName: WideString index 45 read GetWideStringProp write SetWideStringProp stored False;
    property FontShadow: Smallint index 46 read GetSmallintProp write SetSmallintProp stored False;
    property FontSize: Smallint index 47 read GetSmallintProp write SetSmallintProp stored False;
    property FontStrike: Smallint index 48 read GetSmallintProp write SetSmallintProp stored False;
    property FontSubSup: Smallint index 49 read GetSmallintProp write SetSmallintProp stored False;
    property FontTableSize: Smallint index 50 read GetSmallintProp write SetSmallintProp stored False;
    property FontUnder: Smallint index 51 read GetSmallintProp write SetSmallintProp stored False;
    property FontWidth: Smallint index 52 read GetSmallintProp write SetSmallintProp stored False;
    property FormatPaste: WordBool index 53 read GetWordBoolProp write SetWordBoolProp stored False;
    property HTag: Integer index 54 read GetIntegerProp write SetIntegerProp stored False;
    property HTagL: Integer index 55 read GetIntegerProp write SetIntegerProp stored False;
    property InternalBound: WideString index 56 read GetWideStringProp write SetWideStringProp stored False;
    property LeftIndent: Integer index 57 read GetIntegerProp write SetIntegerProp stored False;
    property LineNumber: Integer index 58 read GetIntegerProp write SetIntegerProp stored False;
    property LineSpacing: Smallint index 59 read GetSmallintProp write SetSmallintProp stored False;
    property MouseHPointer: enumMousePointer index 60 read GetTOleEnumProp write SetTOleEnumProp stored False;
    property NTag: Integer index 61 read GetIntegerProp write SetIntegerProp stored False;
    property NTagL: Integer index 62 read GetIntegerProp write SetIntegerProp stored False;
    property OleCode: Smallint index 63 read GetSmallintProp write SetSmallintProp stored False;
    property OleObject: WideString index 64 read GetWideStringProp write SetWideStringProp stored False;
    property OleVerb: Smallint index 1 read GetSmallintProp write SetSmallintProp stored False;
    property Overtype: WordBool index 65 read GetWordBoolProp write SetWordBoolProp stored False;
    property PTag: Integer index 66 read GetIntegerProp write SetIntegerProp stored False;
    property PageHeight: Integer index 67 read GetIntegerProp write SetIntegerProp stored False;
    property PageLineNumber: Integer index 68 read GetIntegerProp write SetIntegerProp stored False;
    property PageNumber: Smallint index 69 read GetSmallintProp write SetSmallintProp stored False;
    property ParToDP: Integer index 70 read GetIntegerProp write SetIntegerProp stored False;
    property ParToDPF: Integer index 71 read GetIntegerProp write SetIntegerProp stored False;
    property ParToDPP: Integer index 72 read GetIntegerProp write SetIntegerProp stored False;
    property BackPicture: TPicture index 73 read GetTPictureProp write SetTPictureProp stored False;
    property PrinterDC: WordBool index 74 read GetWordBoolProp write SetWordBoolProp stored False;
    property RightIndent: Integer index 75 read GetIntegerProp write SetIntegerProp stored False;
    property ScrollBarH: enumSHStyles index 76 read GetTOleEnumProp write SetTOleEnumProp stored False;
    property ScrollBarV: enumSHStyles index 77 read GetTOleEnumProp write SetTOleEnumProp stored False;
    property ScrollHorz: Integer index 78 read GetIntegerProp write SetIntegerProp stored False;
    property ScrollVert: Integer index 79 read GetIntegerProp write SetIntegerProp stored False;
    property SelFText: WideString index 80 read GetWideStringProp write SetWideStringProp stored False;
    property SelFType: Smallint index 2 read GetSmallintProp write SetSmallintProp stored False;
    property SelLength: Integer index 81 read GetIntegerProp write SetIntegerProp stored False;
    property SelStart: Integer index 82 read GetIntegerProp write SetIntegerProp stored False;
    property SelText: WideString index 83 read GetWideStringProp write SetWideStringProp stored False;
    property SelToChar: Smallint index 84 read GetSmallintProp write SetSmallintProp stored False;
    property SelToPar: Integer index 85 read GetIntegerProp write SetIntegerProp stored False;
    property Select: Smallint index 86 read GetSmallintProp write SetSmallintProp stored False;
    property ShowHidden: WordBool index 4 read GetWordBoolProp write SetWordBoolProp stored False;
    property TabAdd: Integer index 87 read GetIntegerProp write SetIntegerProp stored False;
    property TabCount: Smallint index 88 read GetSmallintProp write SetSmallintProp stored False;
    property TabDel: Integer index 89 read GetIntegerProp write SetIntegerProp stored False;
    property TabEnabled: WordBool index 90 read GetWordBoolProp write SetWordBoolProp stored False;
    property TabStep: Smallint index 91 read GetSmallintProp write SetSmallintProp stored False;
    property Text: WideString index -517 read GetWideStringProp write SetWideStringProp stored False;
    property TextFormatted: Integer index 92 read GetIntegerProp write SetIntegerProp stored False;
    property TopIndent: Integer index 93 read GetIntegerProp write SetIntegerProp stored False;
    property UnDoAction: Smallint index 94 read GetSmallintProp write SetSmallintProp stored False;
    property WriteProtect: Smallint index 95 read GetSmallintProp write SetSmallintProp stored False;
    property dpAlignment: enumAlignment index 96 read GetTOleEnumProp write SetTOleEnumProp stored False;
    property dpBorder: Integer index 97 read GetIntegerProp write SetIntegerProp stored False;
    property dpTabAdd: Integer index 98 read GetIntegerProp write SetIntegerProp stored False;
    property dpTabCount: Smallint index 99 read GetSmallintProp write SetSmallintProp stored False;
    property dpTabDel: Integer index 100 read GetIntegerProp write SetIntegerProp stored False;
    property dpTabStep: Smallint index 101 read GetSmallintProp write SetSmallintProp stored False;
    property dpText: WideString index 102 read GetWideStringProp write SetWideStringProp stored False;
    property dpTopIndent: Integer index 103 read GetIntegerProp write SetIntegerProp stored False;
    property F3ON: WordBool index 3 read GetWordBoolProp write SetWordBoolProp stored False;
    property MousePointer: enumMousePointerLTD index 5 read GetTOleEnumProp write SetTOleEnumProp stored False;
    property Alignment: Smallint index 104 read GetSmallintProp write SetSmallintProp stored False;
    property Palette: TPicture index 105 read GetTPictureProp write SetTPictureProp stored False;
    property ObjectRefreshMethod: Smallint index 106 read GetSmallintProp write SetSmallintProp stored False;
    property DataChanged: WordBool index 107 read GetWordBoolProp write SetWordBoolProp stored False;
    property BorderStyle: Smallint index -504 read GetSmallintProp write SetSmallintProp stored False;
    property LimitFontColors: Smallint index 108 read GetSmallintProp write SetSmallintProp stored False;
    property TagReadSelect: Smallint index 109 read GetSmallintProp write SetSmallintProp stored False;
    property ClipboardAction: Smallint index 110 read GetSmallintProp write SetSmallintProp stored False;
    property BufferedKbd: WordBool index 111 read GetWordBoolProp write SetWordBoolProp stored False;
    property hWnd: OLE_HANDLE read Get_hWnd write Set_hWnd stored False;
    property AtxCtlIt: WordBool index 112 read GetWordBoolProp write SetWordBoolProp stored False;
    property Table3It: WordBool index 113 read GetWordBoolProp write SetWordBoolProp stored False;
    property ReleaseIt: WordBool index 114 read GetWordBoolProp write SetWordBoolProp stored False;
    property TableStatus: Smallint index 115 read GetSmallintProp write SetSmallintProp stored False;
    property ExtendIt: WordBool index 116 read GetWordBoolProp write SetWordBoolProp stored False;
    property OnATXChange: TATX32ATXChange read FOnATXChange write FOnATXChange;
    property OnATXError: TATX32ATXError read FOnATXError write FOnATXError;
    property OnATXGet: TATX32ATXGet read FOnATXGet write FOnATXGet;
    property OnATXPut: TATX32ATXPut read FOnATXPut write FOnATXPut;
    property OnATXVScrollClick: TATX32ATXVScrollClick read FOnATXVScrollClick write FOnATXVScrollClick;
    property OnDropFile: TATX32DropFile read FOnDropFile write FOnDropFile;
    property OnDropFileStart: TATX32DropFileStart read FOnDropFileStart write FOnDropFileStart;
    property OnExternOleAction: TATX32ExternOleAction read FOnExternOleAction write FOnExternOleAction;
    property OnPrintEndPage: TATX32PrintEndPage read FOnPrintEndPage write FOnPrintEndPage;
    property OnPrintStartPage: TATX32PrintStartPage read FOnPrintStartPage write FOnPrintStartPage;
    property OnPrintThisPage: TATX32PrintThisPage read FOnPrintThisPage write FOnPrintThisPage;
    property OnATXHScrollClick: TATX32ATXHScrollClick read FOnATXHScrollClick write FOnATXHScrollClick;
    property OnTagProtectionFault: TATX32TagProtectionFault read FOnTagProtectionFault write FOnTagProtectionFault;
  end;

procedure Register;

implementation

uses ComObj;

procedure TATX32.InitControlData;
const
  CEventDispIDs: array[0..12] of Integer = (
    $00000001, $00000002, $00000003, $00000004, $00000005, $00000006,
    $00000007, $00000008, $00000009, $0000000A, $0000000B, $0000000C,
    $0000000D);
  CLicenseKey: array[0..49] of Word = (
    $0043, $006F, $0070, $0079, $0072, $0069, $0067, $0068, $0074, $0020,
    $0028, $0063, $0029, $0020, $0031, $0039, $0039, $0035, $0020, $0042,
    $0065, $006E, $006E, $0065, $0074, $002D, $0054, $0065, $0063, $0020,
    $0049, $006E, $0066, $006F, $0072, $006D, $0061, $0074, $0069, $006F,
    $006E, $0020, $0053, $0079, $0073, $0074, $0065, $006D, $0073, $0000);
  CTPictureIDs: array [0..2] of Integer = (
    $0000001E, $00000049, $00000069);
  CControlData: TControlData = (
    ClassID: '{36AB2343-0A3A-11CF-BCEB-02608C0F6057}';
    EventIID: '{36AB2342-0A3A-11CF-BCEB-02608C0F6057}';
    EventCount: 13;
    EventDispIDs: @CEventDispIDs;
    LicenseKey: @CLicenseKey;
    Flags: $00000029;
    Version: 300;
    FontCount: 0;
    FontIDs: nil;
    PictureCount: 3;
    PictureIDs: @CTPictureIDs);
begin
  ControlData := @CControlData;
end;

procedure TATX32.InitControlInterface(const Obj: IUnknown);
begin
  FIntf := Obj as _DATX32;
end;

function TATX32.About: WideString;
begin
  Result := ControlInterface.About;
end;

function TATX32.ClearAll: Smallint;
begin
  Result := ControlInterface.ClearAll;
end;

function TATX32.DocHeight: Integer;
begin
  Result := ControlInterface.DocHeight;
end;

function TATX32.IsHidden: WordBool;
begin
  Result := ControlInterface.IsHidden;
end;

function TATX32.NewHTag: Integer;
begin
  Result := ControlInterface.NewHTag;
end;

function TATX32.NewNTag: Integer;
begin
  Result := ControlInterface.NewNTag;
end;

function TATX32.TextLength: Integer;
begin
  Result := ControlInterface.TextLength;
end;

procedure TATX32.delPar(parnum: Integer);
begin
  ControlInterface.delPar(parnum);
end;

function TATX32.numParagraphs: Integer;
begin
  Result := ControlInterface.numParagraphs;
end;

function TATX32.AtxStruct: Integer;
begin
  Result := ControlInterface.AtxStruct;
end;

procedure TATX32.AboutBox;
begin
  ControlInterface.AboutBox;
end;

function TATX32.Get_hWnd: OLE_HANDLE;
begin
  Result := ControlInterface.hWnd;
end;

procedure TATX32.Set_hWnd(var Value: OLE_HANDLE);
begin
  ControlInterface.hWnd := Value;
end;

function TATX32.Get_FooterFText(whatFooter: Smallint): WideString;
begin
  Result := ControlInterface.FooterFText[whatFooter];
end;

procedure TATX32.Set_FooterFText(whatFooter: Smallint; const Value: WideString);
begin
  ControlInterface.FooterFText[whatFooter] := Value;
end;

function TATX32.Get_HeaderFText(whatHeader: Smallint): WideString;
begin
  Result := ControlInterface.HeaderFText[whatHeader];
end;

procedure TATX32.Set_HeaderFText(whatHeader: Smallint; const Value: WideString);
begin
  ControlInterface.HeaderFText[whatHeader] := Value;
end;

function TATX32.Get_TabAlignment(index: Smallint): Smallint;
begin
  Result := ControlInterface.TabAlignment[index];
end;

procedure TATX32.Set_TabAlignment(index: Smallint; Value: Smallint);
begin
  ControlInterface.TabAlignment[index] := Value;
end;

function TATX32.Get_TabLocations(index: Smallint): Integer;
begin
  Result := ControlInterface.TabLocations[index];
end;

procedure TATX32.Set_TabLocations(index: Smallint; Value: Integer);
begin
  ControlInterface.TabLocations[index] := Value;
end;

function TATX32.Get_dpTabAlignment(index: Smallint): Smallint;
begin
  Result := ControlInterface.dpTabAlignment[index];
end;

procedure TATX32.Set_dpTabAlignment(index: Smallint; Value: Smallint);
begin
  ControlInterface.dpTabAlignment[index] := Value;
end;

function TATX32.Get_dpTabLocations(index: Smallint): Integer;
begin
  Result := ControlInterface.dpTabLocations[index];
end;

procedure TATX32.Set_dpTabLocations(index: Smallint; Value: Integer);
begin
  ControlInterface.dpTabLocations[index] := Value;
end;


procedure Register;
begin
  RegisterComponents('ActiveX', [TATX32]);
end;

end.
